Need help? Get answers from the docs with Omni's in-app AI! Log in to your Omni instance and open the Omni Agent in the sidebar.
curl --request GET \
--url https://{instance}.omniapp.co/api/scim/v2/users \
--header 'Authorization: Bearer <token>'{
"Resources": [
{
"active": true,
"displayName": "Blob Ross",
"emails": [
{
"primary": true,
"value": "blob.ross@blobsrus.co"
}
],
"groups": [],
"id": "9e8719d9-276a-4964-9395-a493189a247c",
"meta": {
"created": "2024-11-04T16:01:47.015Z",
"lastModified": "2024-11-04T16:05:45.356Z",
"resourceType": "User"
},
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User",
"urn:omni:params:1.0:UserAttribute",
"urn:omni:params:scim:schemas:extension:user:2.0"
],
"userName": "blob.ross@blobsrus.co",
"urn:omni:params:scim:schemas:extension:user:2.0": {
"lastLogin": "2024-01-03T00:00:00.000Z"
}
}
],
"itemsPerPage": 1,
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:ListResponse"
],
"startIndex": 1,
"totalResults": 1
}Returns a list of users, sorted by creation time. Use the List embed users endpoint to retrieve embed users.
curl --request GET \
--url https://{instance}.omniapp.co/api/scim/v2/users \
--header 'Authorization: Bearer <token>'{
"Resources": [
{
"active": true,
"displayName": "Blob Ross",
"emails": [
{
"primary": true,
"value": "blob.ross@blobsrus.co"
}
],
"groups": [],
"id": "9e8719d9-276a-4964-9395-a493189a247c",
"meta": {
"created": "2024-11-04T16:01:47.015Z",
"lastModified": "2024-11-04T16:05:45.356Z",
"resourceType": "User"
},
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User",
"urn:omni:params:1.0:UserAttribute",
"urn:omni:params:scim:schemas:extension:user:2.0"
],
"userName": "blob.ross@blobsrus.co",
"urn:omni:params:scim:schemas:extension:user:2.0": {
"lastLogin": "2024-01-03T00:00:00.000Z"
}
}
],
"itemsPerPage": 1,
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:ListResponse"
],
"startIndex": 1,
"totalResults": 1
}Documentation Index
Fetch the complete documentation index at: https://docs.omni.co/llms.txt
Use this file to discover all available pages before exploring further.
Requires an Organization API Key. Personal Access Tokens (PATs) are not supported for this endpoint.
Include in the Authorization header as: Bearer ORGANIZATION_API_KEY
Filter users using the userName field with SCIM operators:
| Operator | Description | Example |
|---|---|---|
eq | Exact match | userName eq "blob.ross@blobsrus.co" |
co | Contains substring | userName co "smith" |
Case sensitivity:
userName, USERNAME) are case-insensitiveeq, EQ, co, CO) are case-insensitiveUsernames should be URL-encoded when passed as filters. For example, userName eq "user@example.com" will become userName%20eq%20%22user%40example.com%22 when encoded.
The number of users to return per page
An integer index that determines the starting point of the sorted result list
List of users
The list of users
Show child attributes
SCIM schema information for the response
The number of users returned in the current page
The total number of users matching the query
The starting index of the current page in the result set
Was this page helpful?